import 'package:yuro_cli/command/command.dart';
import 'package:yuro_cli/core/core.dart';

class Upgrade extends Command {
  @override
  String get name => 'upgrade';

  @override
  String get help => 'Upgrade this CLI.';

  @override
  ArgParser createArgParser() => ArgParser();

  @override
  Future<void> parser(List<String> arguments) async {
    var remoteVersion = await PubUtil.getRemoteVersion('yuro_cli');
    var nativeVersion = await YamlUtil.getNativeVersion();
    if (nativeVersion == remoteVersion) {
      Logger.i('\nthe latest version is already installed\n');
      return;
    }
    if (remoteVersion != null) {
      var res = await run('flutter', ['pub', 'global', 'activate', 'yuro_cli'], verbose: true);
      if (res.exitCode != 0) {
        Logger.e('\nget yuro_cli failed, exitCode: ${res.exitCode}\n');
      }
    }
  }
}
